FreeMat

- Main Page
- Related Pages

vtkSphere

Section: Visualization Toolkit Filtering Classes

# Usage

vtkSphere computes the implicit function and/or gradient for a sphere. vtkSphere is a concrete implementation of vtkImplicitFunction. Additional methods are available for sphere-related computations, such as computing bounding spheres for a set of points, or set of spheres.

To create an instance of class vtkSphere, simply invoke its constructor as follows

      obj = vtkSphere

# Methods

The class vtkSphere has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkSphere class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkSphere = obj.NewInstance ()`
- `vtkSphere = obj.SafeDownCast (vtkObject o)`
- `double = obj.EvaluateFunction (double x[3])`
- `double = obj.EvaluateFunction (double x, double y, double z)`
- `obj.EvaluateGradient (double x[3], double n[3])`
- `obj.SetRadius (double )` - Set / get the radius of the sphere.
- `double = obj.GetRadius ()` - Set / get the radius of the sphere.
- `obj.SetCenter (double , double , double )` - Set / get the center of the sphere.
- `obj.SetCenter (double a[3])` - Set / get the center of the sphere.
- `double = obj. GetCenter ()` - Set / get the center of the sphere.